Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1120657

Description of problem:

I was trying to perform some boundary tests on OS parameters. I defined OS parameter say release_ver with value 2.6.14

I defined same parameter again with value 2.6.16

Both parameters were created successfully. Please see the screenshot.

However when I defined release_ver two times with same values, then on submit, the page moves to 'operating System' tab instead

of 'Parameters' tab.

Version-Release number of selected component (if applicable):

Sat6 GA snap0

How reproducible:

always

Steps to Reproduce:

1. create OS and following parameters

a) release_ver with value 2.6.14

b) release_ver with value 2.6.16

2. OS should be created with above parameters.

3. Now update the first parameter b) release_ver with value 2.6.14 from 2.16.16

4. UI switched to other tab, Now UI raises error 'Name already taken" but switched to other tab

Actual results:

There are two issues:

1. when parameters name are same but values are different then UI doesn't raise any error

2. when parameter name as well as value are same then UI raises error but quickly switch to other tab and error remains under

'Parameters' tab

Expected results:

1. when parameters name are same but values are different, still UI raise error like Validation Error: Name already taken

2. when parameter name as well as value are same then UI shouldn't switch the tab, it should stay on 'Parameters' tab

Additional info:

Related issues:

Related to Foreman - Bug #6693: UI shouldn't switch to other tab while creati... Closed 07/20/2014

Related to Foreman - Bug #8366: Upgrade from 1.6.2 to 1.7rc1 fails during Add... Closed 11/12/2014

Related to Foreman - Bug #11339: parameter unique index migration should acco... Closed 08/12/2015

Has duplicate Foreman - Bug #7776: It is possible to register multiple parame... Resolved 10/02/2014

Associated revisions
Revision 998e1438 - 09/23/2014 04:25 AM - Ori Rabin

Fixes #6695: Adding two OS parameters with same name should raise an error

History

#1 - 07/21/2014 04:39 AM - Dominic Cleal

- Category set to Database

The stuff about showing the parameters tab (i.e. any form tab where there are errors) is #6693.

#2 - 07/21/2014 04:40 AM - Dominic Cleal

- Related to Bug #6693: UI shouldn't switch to other tab while creating OS parameters with same name or with blank name/values added

#3 - 07/22/2014 10:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1607 added

- Pull request deleted ()

#4 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#5 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#6 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/23/2014 04:26 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 22

Reasons for 1.6.1 - No i18n strings, bug, not feature, not an enormous change.

#8 - 09/23/2014 04:29 AM - Dominic Cleal

Daniel Lobato Garcia wrote:

Reasons for 1.6.1 - No i18n strings, bug, not feature, not an enormous change.

 Please move to 1.7.0, it includes a schema change and a new string.

#9 - 09/23/2014 04:46 AM - Dominic Cleal

- translation missing: en.field_release changed from 22 to 21

#10 - 09/23/2014 05:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 998e1438d28786165f41c9a1d76c29e3b759fcf3.

#11 - 10/02/2014 10:20 AM - Dominic Cleal

- Has duplicate Bug #7776: It is possible to register multiple parameters with the same name using the REST API added

#12 - 11/12/2014 09:34 AM - Dominic Cleal

- Related to Bug #8366: Upgrade from 1.6.2 to 1.7rc1 fails during AddUniqueIndexToParameter db migration with duplicate key error added

#13 - 08/14/2015 02:59 AM - Dominic Cleal

- Related to Bug #11339: parameter unique index migration should account for duplicate data added
